# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Directory Class Reference

Associates a directory in the data framework with
a TDataStd_TagSource attribute.
You can create a new directory label and add
sub-directory or object labels to it,
.

`#include <TDataStd_Directory.hxx>`

Inheritance diagram for TDataStd_Directory:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_Directory ()
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&DS) const
| Adds the first level referenced attributes and labels to <adataset>. For this, use the AddLabel or AddAttribute of DataSet. If there is none, do not implement the method. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Find (const TDF_Label &current, Handle(TDataStd_Directory)&D)
| class methods ============= //! Searches for a directory attribute on the label current, or on one of the father labels of current. If a directory attribute is found, true is returned, and the attribute found is set as D.
static Standard_EXPORT Handle_TDataStd_Directory | New (const TDF_Label &label)
| Creates an enpty Directory attribute, located at <label>. Raises if <label> has attribute .
static Standard_EXPORT Handle_TDataStd_Directory | AddDirectory (const Handle(TDataStd_Directory)&dir)
| Creates a new sub-label and sets the sub-directory dir on that label. .
static Standard_EXPORT TDF_Label | MakeObjectLabel (const Handle(TDataStd_Directory)&dir)
| Makes new label and returns it to insert other object attributes (sketch,part...etc...) .
static Standard_EXPORT const Standard_GUID & | GetID ()
| Directory methods =============== .

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Directory::TDataStd_Directory | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT Handle_TDataStd_Directory TDataStd_Directory::AddDirectory | ( | const Handle(TDataStd_Directory)& | dir | ) | `[static]`

virtual Standard_EXPORT Standard_OStream& TDataStd_Directory::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT Standard_Boolean TDataStd_Directory::Find | ( | const TDF_Label & | current,
|  | Handle(TDataStd_Directory)& | D
| ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDataStd_Directory::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Directory::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Directory::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT TDF_Label TDataStd_Directory::MakeObjectLabel | ( | const Handle(TDataStd_Directory)& | dir | ) | `[static]`

static Standard_EXPORT Handle_TDataStd_Directory TDataStd_Directory::New | ( | const TDF_Label & | label | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TDataStd_Directory::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Directory::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TDataStd_Directory::References | ( | const Handle(TDF_DataSet)& | DS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT void TDataStd_Directory::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

The documentation for this class was generated from the following file:

- TDataStd_Directory.hxx